#j.py for julia.py using Lou Kauffman's algorithm
from math import *
from turtle import *
import random 
def rnd():
  return random.random()

x0 = 0 
y0 = 0 
ux = 200 
uy = 200 
nx = 0
ny = 0.5
mx = -1
my = 0
hideturtle()
penup()
#begin the loop here
for i in range(0,1000):
  x = nx - mx
  y = ny - my
  r = sqrt(x*x + y*y)
  def sign(u):   # math does not have the signum function
    if u < 0:
      return -1
    else: 
      return 1
  nx = sign(y)*sqrt((r+x)/2)
  ny =         sqrt((r-x)/2)
  if (2*rnd() < 1):
     nx=-nx
     ny=-ny
  def pset(u,v):  # we may have to translate this differently
     goto(u,v)
     dot()
  pset(x0+nx*ux, y0+ny*uy)
  pset(x0-nx*ux, y0-ny*uy)
# replaced the goto with a finite loop 
